#define default_num_ops 100
#define default_init_ins 100
#define default_ins 0
#define default_suc_lookup 0
#define default_unsuc_lookup 0
#define default_del 0
#define CMD_SIZE 9
#define DEF_KEYSIZE 20
#define MAX_SIZE 10000

typedef char cmdtype[4];
cmdtype cmdtable[CMD_SIZE+1];    /* table of user commands               */
typedef struct {
  int num_ops;
  int init_ins;
  int ins;
  int suc_lookup;
  int unsuc_lookup;
  int del;
  int myseed;
  int  keysize; 
} parameters, *Pparameters; /* end of typedef */

typedef char keytype[DEF_KEYSIZE+1];  
typedef struct {
  int last_key;
  keytype keys[MAX_SIZE+1];
} key_store, *Pkey_store; /* end of typedef */


